Subject: Re: bug#74619: macOS: <ns-show-prefs> displayed as keybinding for \\[customize] on emacs -nw

From: Robert Pluim <[email-masked]>
Date: Mon, 02 Dec 2024 15:09:26 +0100

>>>>> On Sat, 30 Nov 2024 16:40:53 +0900, Yoichi Nakayama <[email-masked]> said:

    Yoichi> I found that bug#55940 (https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55940)
    Yoichi> has not been fixed on Emacs started by "emacs -nw"

    Yoichi> (substitute-command-keys "\\[customize]")
    Yoichi> #("<ns-show-prefs>" 0 15 (font-lock-face help-key-binding face
    Yoichi> help-key-binding))

    Yoichi> I think this is because make-non-key-event for ns-* is not called
    Yoichi> in this situation.

Right, but OTOH typical terminal setups donʼt allow you to use super
as a modifier anyway (unless Gerd has a magic recipe). I guess it
couldnʼt do too much harm to call the ns-specific portion of
`x-setup-function-keys' even when not in a graphical frame, but Iʼm
not sure where we could hook that into.

Robert
--